<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if($control){//cuando se hizo el submit
  
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdPrestamo($id);
    $o_PrestamoBean->setIdCliente($IdCliente);
    $o_PrestamoBean->setMontoPrestado($txtCapital);
    $o_PrestamoBean->setInteresPorcentaje($cboInteres);
    $montoTotal = $txtCapital*($cboInteres/100+1);
    $txtSaldoPrestamo = $montoTotal;
    $o_PrestamoBean->setMontoTotal($montoTotal);
    $o_PrestamoBean->setFechaInicio($FechaInicio);
    $fecha_ini= $FechaInicio;
    $o_PrestamoBean->setGastoAdministrativo($txtGastoAdministrativo);
    $o_PrestamoBean->setPeriodicidadPago($cboFormaPago);
    $o_PrestamoBean->setDuracion($cboDuracion); 
    $o_PrestamoBean->setOrigen($cboOrigen);
    
    switch ($cboFormaPago){
    	case "D" : 
    			switch ($cboDuracion){	
    				case 15 : $MontoCuota = round($montoTotal/13,2);
    						  
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
    						  $NroCuotas=13; break;
    				case 30 : $MontoCuota = round($montoTotal/26,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));
    						  $NroCuotas=26; break;
    				case 45 : $MontoCuota = round($montoTotal/39,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +45 days'));
    						  $NroCuotas=39; break;
    				case 60 : $MontoCuota = round($montoTotal/52,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=52; break;
    				case 75 : $MontoCuota = round($montoTotal/65,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +75 days'));
    						  $NroCuotas=65; break;
    				case 90 : $MontoCuota = round($montoTotal/88,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=88; break;
    			}
    			break;
    	case "S":
    			switch ($cboDuracion){	
    				case 15 : $MontoCuota = round($montoTotal/2,2);
    				  		  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
    						  $NroCuotas=2; break;
    				case 30 : $MontoCuota = round($montoTotal/4,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));
    						  $NroCuotas=4; break;
    				case 45 : $MontoCuota = round($montoTotal/6,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +45 days'));
    						  $NroCuotas=6; break;
    				case 60 : $MontoCuota = round($montoTotal/8,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=8; break;
    				case 75 : $MontoCuota = round($montoTotal/10,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +75 days'));
    						  $NroCuotas=10; break;
    				case 90 : $MontoCuota = round($montoTotal/12,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=12; break;
    			}
    			break;
    	case "Q":
    			switch ($cboDuracion){	
    				case 15 : $MontoCuota = round($montoTotal/1,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days')); 
    						  $NroCuotas=1; break;
    				case 30 : $MontoCuota = round($montoTotal/2,2);
  							  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));  				
    						  $NroCuotas=2; break;
    				case 45 : $MontoCuota = round($montoTotal/3,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +45 days'));
    						  $NroCuotas=3; break;
    				case 60 : $MontoCuota = round($montoTotal/4,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=4; break;
    				case 75 : $MontoCuota = round($montoTotal/5,2);
  							  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +75 days'));  				
    						  $NroCuotas=5; break;
    				case 90 : $MontoCuota = round($montoTotal/6,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=6; break;
    			}
    			break;
    	case "M":
    			switch ($cboDuracion){	
    				
    				case 30 : $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));
    						  $NroCuotas=1; break;
    				case 60 : $MontoCuota = round($montoTotal/2,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=2; break;
    				case 90 : $MontoCuota = round($montoTotal/3,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=3; break;
    			}
    			break;
    }
    if($cboDuracion){
    $o_PrestamoBean->setCuotaPago($MontoCuota);
    $o_PrestamoBean->setFechaVencimiento($fechaVencimiento);
    $InteresMonto=$montoTotal-$txtCapital;
    $o_PrestamoBean->setInteresMonto($InteresMonto);
    $o_PrestamoBean->setNroCuotas($NroCuotas);
    $o_PrestamoBean->setObservacion($txtObservacion);  
    $o_PrestamoBean->setSaldoPrestamo($txtSaldoPrestamo); 
    $o_PrestamoBean->setEstado($cboEstado);
    
    $o_PrestamoBean->setFechaModificacion(date("Y-m-d"));
  	$o_PrestamoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
    
  	 
    $o_PrestamoBL = new PrestamoBL();
    $bResult = $o_PrestamoBL->modificarPrestamo($o_PrestamoBean);
    }
    if($bResult){
    ?>
       <script language="JavaScript">
         
	    parent.objMainTab.reqBody('<?=buildUrl('pre/list')?>','&block=001&update=1&id=<?=$o_PrestamoBean->getIdPrestamo()?>');
        parent.objMainTab.windowsCloseAll();
      </script>
    <?
    }
}


 if($id){
	 	
	$o_PrestamoBean = new PrestamoBean();
	$o_PrestamoBean->setIdPrestamo($id);
	$o_class = new PrestamoBL();
	$a_ObjectBean = $o_class->busquedaPrestamo($o_PrestamoBean);
}


if(is_array($a_ObjectBean)){
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	$o_ClienteBean = new ClienteBean();
	$o_ClienteBean->setIdCliente($o_ObjectBean->getIdCliente());
	$o_class = new ClienteBL();
	$a_ObjectCliente = $o_class->busquedaCliente($o_ClienteBean);
	
	while(list($keyCli,$o_ObjectBeanCli) = each($a_ObjectCliente)){
		$Nombre = $o_ObjectBeanCli->getNombreCompleto();		
		$o_MercadoBean = new MercadoBean();
		$o_MercadoBean->setIdMercado($o_ObjectBeanCli->getIdMercado());
		$o_class = new MercadoBL();
		$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
		
		$NombreMercado = $ObjectBean[0]->getDescripcion();
	}
	  	
?>
<script>

function cacularFechaFinal(){
	alert("Hola");
	FechaIniacial = $('FechaInicio').value;
	if(FechaIniacial != "" ){
		FechaIniacial =  parseFloat(FechaIniacial);
		
	}else{
		FechaIniacial=0;
	}
	//$('FechaVencimiento').value = FechaIniacial + xx ;
}

function cacularTotal(){
	monto = $('txtCapital').value;
	if( monto != ""){
		monto = parseFloat(monto);
	}else{
		monto = 0;
	}
	if($('cboInteres').selectedIndex > 0){
		interes = parseFloat($('cboInteres').value);
	}else{
		interes = 0;
	}
	
	if ($('cboFormaPago').selectedIndex > -1){
		
		switch ($('cboFormaPago').value){
			 
	    	case "D" : 
	    	
	    	      if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
						Duracion = 13;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 26;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 39;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 52;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 65;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion =82;
						}
	    	       }
	    			break;
	    	case "S":
	    	
	    		 if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 4;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 6;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 8;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 10;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 12;
						}
		    		}

	    			break;
	    	case "Q":
	    	        
	    	        if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
							Duracion = 1;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 3;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 4;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 5;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 6;
						}
		    		}
	    	      
	    			break;
	    	case "M":
	    			
	    			 if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 1;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 3;
						}
		    		}
	    			
	    			break;
	    }
	}else{
		Duracion = 0;
	}
	//alert(Duracion);
	
	
	$('txtMontoTotal').value = (monto*(interes/100 + 1)).toFixed('2') ;
	$montotal = $('txtMontoTotal').value;
	$saldo =  $('txtSaldoPrestamo').value;
	$amortizacion = $montotal - $saldo ;
	$('txtSaldoPrestamo').value = $montotal ;
	$('txtAmortizacion').value = $amortizacion ;
	$temporal = $('txtAmortizacion').value;
	$('txtCuotaPago').value = ((monto*(interes/100 + 1))/Duracion).toFixed('2') ;
}
</script>
<img src="/images/common/spacer.gif" width="10">
 <table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Prestamo</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Mostrar Prestamo</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%" style="background: #E3E9E2">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
			    <tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Cliente</I></legend>
    					 <table width="100%" border="0" cellspacing="4" cellpadding="0">
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Nombre </label></td>
								<td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label1"><?php echo $Nombre?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Mercado</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label1"><?php echo strtoupper($NombreMercado)?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Cobrador Origen</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label1"><?php echo $o_ObjectBean->getColaboradorOrigen()?></label></td>
							  </tr>
						</table>
    					</fieldset>				
    				</td>
                </tr>
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Prestamo</I></legend>
    					 <table width="100%" border="0" cellspacing="3" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="FechaInicial" >Fecha Inicial</label></td>
								 <td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label1"><?php echo $o_ObjectBean->getFechaInicio()?></label></td>
								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="FechaFinal" >Fecha Final</label></td>
                                 <td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label1"><?php echo $o_ObjectBean->getFechaVencimiento()?></label></td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Capital</label></td>
								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label1"><?php echo $o_ObjectBean->getMontoPrestado()?></label></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Intres(%)</label></td>
								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label1"><?php echo $o_ObjectBean->getInteresPorcentaje()?></label></td>
							  </tr>
							  <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Monto Total</label></td>
								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label1"><?php echo $o_ObjectBean->getMontoTotal()?></label></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtGastoAdministrativo" >Gasto Admin.</label></td>
								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label1"><?php echo $o_ObjectBean->getGastoAdministrativo()?></label></td>
							  </tr>
							   <tr>
								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtSaldoPrestamo" >Saldo</label></td>
								 <td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label1"><?php echo $o_ObjectBean->getSaldoPrestamo()?></label></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtCuotaPago" >Cuota Pago</label></td>
								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label1"><?php echo $o_ObjectBean->getCuotaPago()?></label></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtAmortizacion" >Amortización</label></td>
								 <td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label1"><? echo $temporal;?></label></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtOrigen" >Tipo Prestamo</label></td>
								<td width="38%" nowrap="nowrap"><label class="label1" for="Estado">&nbsp;:&nbsp;<? if ($o_ObjectBean->getOrigen()=='R'){ echo "Renovado";} else { echo "Refinanciado";}?></label></td>
							   </tr>
							   <tr>
								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Forma Pago</label></td>
								 
								 <td nowrap="nowrap" >&nbsp;:&nbsp;
								     <label class="label1" for="cboFormaPago">
								     <?php
								        if($o_ObjectBean->getPeriodicidadPago()=='D'){
								         echo Diario;
								        }elseif ($o_ObjectBean->getPeriodicidadPago()=='S'){
								        	echo Semanal;
								        }
								           elseif ($o_ObjectBean->getPeriodicidadPago()=='Q'){
								           	echo Quincenal;
								           }else {
								           	echo Mensual;
								           }
								           
								     ?>
								     </label>
								</td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label1 req" for="txtRev" >Duraci&oacute;n </label></td>
								 <td nowrap="nowrap" >&nbsp;:&nbsp;
								    <label class="label1" for="cboDuracion">
								      <?php echo  $o_ObjectBean->getDuracion()."&nbsp;Dias" ?>
								    </label>
							  		
							  		
								</td>
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtObservacion">Comentario</label></td>
								<td nowrap="nowrap" colspan="2">&nbsp;&nbsp;<label class="label1" for="cboEstado"><?php echo $o_ObjectBean->getObservacion() ?></label></td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Estado</label></td>
								<td nowrap="nowrap" >&nbsp;:&nbsp;
								   <label class="label1" for="cboEstado">
								      <?php
								        if($o_ObjectBean->getEstado()=='P'){
								            echo Pediente;	
								        }else{
								        	echo Cancelado;
								        }
								      ?>
								     </label>
								</td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
							  </tr>
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					 <td><img src="/images/common/spacer.gif" width="10"></td>
				  </tr>
				  <tr>
					<td align="center">
					  <input type="hidden" name="typeSubmit" id="typeSubmit">
					  <input type="hidden" name="IdMercado" id="IdMercado" value="<?php echo $IdMercado?>">
					  <input type="hidden" name="IdCliente" id="IdCliente" value="<?php echo $idCliente?>">
					  <input class="button" type="button" value="Cerrar" onclick="parent.objMainTab.windowsCloseAll();"/>
					</td>
				  </tr>
				  <tr>
					<td height="10">&nbsp;</td>
				  </tr>
				</table>
    					</fieldset>				
    		    </td>
               </tr>
    	     </table>
         </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table><?php
  }
}
//$fecha_ini = '2009-06-15';
//echo $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
?>

